﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Syncfusion.SfSchedule.XForms;
using Xamarin.Forms;

namespace Sample
{
    public partial class MainPage : ContentPage
    {
        ScheduleViewModel viewModel;
        public MainPage()
        {
            InitializeComponent();

            ScheduleAppointmentMapping dataMapping = new ScheduleAppointmentMapping();
            dataMapping.SubjectMapping = "EventName";
            dataMapping.StartTimeMapping = "From";
            dataMapping.EndTimeMapping = "To";
            dataMapping.ColorMapping = "Color";
            schedule.AppointmentMapping = dataMapping;

            schedule.MonthInlineAppointmentTapped += Schedule_MonthInlineAppointmentTapped;

            viewModel = new ScheduleViewModel();
            schedule.DataSource = viewModel.Appointments;
        }

        void Schedule_MonthInlineAppointmentTapped(object sender, MonthInlineAppointmentTappedEventArgs e)
        {
            var app = (e.Appointment as Meeting);
            var startTime = app.From;
        }
    }
}
